Create task prunaai/vace-14b
Official document: https://replicate.com/prunaai/vace-14b
POST
/replicate/v1/models/prunaai/vace-14b/predictionsBody Parametersapplication/json
input object
Input content
properties frame_num integer
The number of frames to generate. Default value: 81.
prompt* string
Text description.
sample_guide_scale integer
Sample guideline scale. Default value: 5
sample_shift integer
Sample offset. Default: 16
sample_solver string
Sample solver. Default: "unipc"
sample_steps integer
Example steps. Default value: 50
seed integer
Random seed (-1 means random)
size string
Output resolution. Default value: "832*480"
speed_mode string
Speed optimization level. Default: "Lightly Juiced 🍊 (more consistent)"
src_mask string
Enter the masked video or image you want to edit.
src_ref_images array
Enter a reference image for editing.
src_video string
Enter the video you want to edit.
version string
Version
Responses
200 application/json
response-200 object
properties created_at string
Creation time
data_removed boolean
Whether sensitive data has been removed
error string nullable
Error message
id* string
Resource or task ID
input object
Input content
logs string
Run logs
model string
Model name / model ID
output string nullable
Output result
status* string
Status
urls object
List of resource URLs
version string
Version
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"input": {
3"frame_num": 81,
4"prompt": "The video shows a man riding a horse on a vast grassland. He has long lavender hair and wears a traditional dress of a white top and black pants. The animation style makes him look like he is doing some kind of outdoor activity or performing. The background is a spectacular mountain range and cloud sky, giving a sense of tranquility and vastness. The entire video is shot from a fixed angle, focusing on the rider and his horse.",
5"sample_guide_scale": 5,
6"sample_shift": 16,
7"sample_solver": "unipc",
8"sample_steps": 50,
9"seed": -1,
10"size": "1280*720",
11"speed_mode": "Extra Juiced 🚀 (even more speed)",
12"src_mask": "https://replicate.delivery/pbxt/N323tegI7AuoZmg0U5CuTKa7VBFC4gymhe0kT8Jk3o2sjUUj/src_mask.mp4",
13"src_ref_images": [
14"https://replicate.delivery/pbxt/N323t5X69JB1MPD4w4cDIxK4rm0BG0W2JOWBrDrR4O9HTcyp/src_ref_image_1.png"
15],
16"src_video": "https://replicate.delivery/pbxt/N323u1ljtNYyyaLrgw0ZLmXgepvWlBvxbJWi3sAa2VDPuNus/src_video.mp4"
17},
18"version": "51299232dc3d0946d5f5ed74935d85243e172698f747d291460db1e6ef3669fb"
19}
1curl -X POST "https://api.digislash.com/replicate/v1/models/prunaai/vace-14b/predictions" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"input": {
6"frame_num": 81,
7"prompt": "The video shows a man riding a horse on a vast grassland. He has long lavender hair and wears a traditional dress of a white top and black pants. The animation style makes him look like he is doing some kind of outdoor activity or performing. The background is a spectacular mountain range and cloud sky, giving a sense of tranquility and vastness. The entire video is shot from a fixed angle, focusing on the rider and his horse.",
8"sample_guide_scale": 5,
9"sample_shift": 16,
10"sample_solver": "unipc",
11"sample_steps": 50,
12"seed": -1,
13"size": "1280*720",
14"speed_mode": "Extra Juiced 🚀 (even more speed)",
15"src_mask": "https://replicate.delivery/pbxt/N323tegI7AuoZmg0U5CuTKa7VBFC4gymhe0kT8Jk3o2sjUUj/src_mask.mp4",
16"src_ref_images": [
17"https://replicate.delivery/pbxt/N323t5X69JB1MPD4w4cDIxK4rm0BG0W2JOWBrDrR4O9HTcyp/src_ref_image_1.png"
18],
19"src_video": "https://replicate.delivery/pbxt/N323u1ljtNYyyaLrgw0ZLmXgepvWlBvxbJWi3sAa2VDPuNus/src_video.mp4"
20},
21"version": "51299232dc3d0946d5f5ed74935d85243e172698f747d291460db1e6ef3669fb"
22}'
1▼{
2"created_at": "2025-07-12T07:27:54.577Z",
3"data_removed": false,
4"id": "w44zs9cet5rmc0cqzp49gpkhf8",
5▼"input": {
6"aspect_ratio": "match_input_image",
7"input_image": "https://replicate.delivery/xezq/XfwWjHJ7HfrmXE6ukuLVEpXWfeQ3PQeRI5mApuLXRxST7XMmC/tmpc91tlq20.png",
8"output_format": "jpg",
9"prompt": "Make the letters 3D, floating in space on a city street",
10"prompt_upsampling": false,
11"safety_tolerance": 2
12},
13"logs": "",
14"model": "black-forest-labs/flux-kontext-dev",
15"status": "starting",
16▼"urls": {
17"cancel": "https://api.replicate.com/v1/predictions/w44zs9cet5rmc0cqzp49gpkhf8/cancel",
18"get": "https://api.replicate.com/v1/predictions/w44zs9cet5rmc0cqzp49gpkhf8",
19"stream": "https://stream.replicate.com/v1/files/bcwr-h7bu76ujftxzwih5u35puoysogps56mqvpvjz4nrxskhfe7ks42a",
20"web": "https://replicate.com/p/w44zs9cet5rmc0cqzp49gpkhf8"
21},
22"version": "hidden"
23}
